Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IIOP_SSL_Acceptor Class Reference

An SSL aware IIOP acceptor. More...

`#include <IIOP_SSL_Acceptor.h>`

Inheritance diagram for TAO_IIOP_SSL_Acceptor:

[legend]
Collaboration diagram for TAO_IIOP_SSL_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_ACCEPTOR > | TAO_IIOP_SSL_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_IIOP_SSL_Connection_Handler > | TAO_IIOP_SSL_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_IIOP_SSL_Connection_Handler > | TAO_IIOP_SSL_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_ACCEPTOR > | TAO_IIOP_SSL_ACCEPT_STRATEGY
## Public Methods
| TAO_IIOP_SSL_Acceptor (CORBA::Boolean flag=0)
| Constructor.
| ~TAO_IIOP_SSL_Acceptor (void)
| Destructor.
virtual int | close (void)
## Protected Methods
virtual int | open_i (const ACE_INET_Addr &addr, ACE_Reactor *reactor)
## Private Attributes
TAO_IIOP_SSL_BASE_ACCEPTOR | base_acceptor_
| The concrete acceptor, as a pointer to it's base class.
TAO_SSLIOP_Connection_Handler_State | handler_state_
Acceptor Strategies
Server side creation, concurrency and accept strategies.
TAO_IIOP_SSL_CREATION_STRATEGY * | creation_strategy_
TAO_IIOP_SSL_CONCURRENCY_STRATEGY * | concurrency_strategy_
TAO_IIOP_SSL_ACCEPT_STRATEGY * | accept_strategy_

## Detailed Description

An SSL aware IIOP acceptor.

The class differs from the non-SSL aware TAO_IIOP_Acceptor class since it uses a different a set of Acceptor strategies. In particular, it overrides the open_i() method to use the Acceptor strategies tailored to use the SSL aware server connection handler. See the TAO_IIOP_SSL_Connection_Handler notes for details.

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_ACCEPTOR> TAO_IIOP_SSL_Acceptor::TAO_IIOP_SSL_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_ACCEPTOR> TAO_IIOP_SSL_Acceptor::TAO_IIOP_SSL_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_IIOP_SSL_Connection_Handler> TAO_IIOP_SSL_Acceptor::TAO_IIOP_SSL_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_IIOP_SSL_Connection_Handler> TAO_IIOP_SSL_Acceptor::TAO_IIOP_SSL_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_IIOP_SSL_Acceptor::TAO_IIOP_SSL_Acceptor | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_IIOP_SSL_Acceptor::~TAO_IIOP_SSL_Acceptor | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_IIOP_SSL_Acceptor::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_IIOP_Acceptor. Reimplemented in TAO_SSLIOP_Acceptor.

int TAO_IIOP_SSL_Acceptor::open_i | ( | const ACE_INET_Addr & | addr,
|  | ACE_Reactor * | reactor
| ) | `[protected, virtual]`

| Implement the common part of the open*() methods. This method is virtual to allow a derived class implementation to be invoked instead. Reimplemented from TAO_IIOP_Acceptor.

## Member Data Documentation

TAO_IIOP_SSL_ACCEPT_STRATEGY* TAO_IIOP_SSL_Acceptor::accept_strategy_`[private]`

| Reimplemented from TAO_IIOP_Acceptor. Reimplemented in TAO_SSLIOP_Acceptor.

TAO_IIOP_SSL_BASE_ACCEPTOR TAO_IIOP_SSL_Acceptor::base_acceptor_`[private]`

| The concrete acceptor, as a pointer to it's base class. Reimplemented from TAO_IIOP_Acceptor.

TAO_IIOP_SSL_CONCURRENCY_STRATEGY* TAO_IIOP_SSL_Acceptor::concurrency_strategy_`[private]`

| Reimplemented from TAO_IIOP_Acceptor. Reimplemented in TAO_SSLIOP_Acceptor.

TAO_IIOP_SSL_CREATION_STRATEGY* TAO_IIOP_SSL_Acceptor::creation_strategy_`[private]`

| Reimplemented from TAO_IIOP_Acceptor. Reimplemented in TAO_SSLIOP_Acceptor.

TAO_SSLIOP_Connection_Handler_State TAO_IIOP_SSL_Acceptor::handler_state_`[private]`

| State that will be passed to each SSLIOP connection handler upon creation. Reimplemented in TAO_SSLIOP_Acceptor.

The documentation for this class was generated from the following files:

- IIOP_SSL_Acceptor.h
- IIOP_SSL_Acceptor.cpp